And (jMock API Documentation)
Keywords: org.jmock.core.constraint.And class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.core.constraint
Class And

    java.lang.Object
      org.jmock.core.constraint.And

All Implemented Interfaces:
  Constraint, SelfDescribing

    public class And

extends Object
implements Constraint

Calculates the logical conjunction of two constraints. Evaluation is shortcut, so that the second constraint is not called if the first constraint returns `false`.

Constructor Summary
`And(Constraint left, Constraint right)`

Method Summary
`StringBuffer` | `describeTo(StringBuffer buffer)` Appends the description of this object to the buffer.
`boolean` | `eval(Object o)` Evaluates the constraint for argument o.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### And

    public And(Constraint left,
               Constraint right)

Method Detail

### eval

    public boolean eval(Object o)

  Description copied from interface: `Constraint`
  Evaluates the constraint for argument o.

  Specified by:
    `eval` in interface `Constraint`
  Parameters:
    `o` - the object against which the constraint is evaluated.
  Returns:
    `true` if o meets the constraint, `false` if it does not.

### describeTo

    public StringBuffer describeTo(StringBuffer buffer)

  Description copied from interface: `SelfDescribing`
  Appends the description of this object to the buffer.

  Specified by:
    `describeTo` in interface `SelfDescribing`
  Parameters:
    `buffer` - The buffer that the description is appended to.
  Returns:
    The buffer passed to the invokedMethod.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD